scanimage(1)

BEZEICHNUNG
scanimage - ein Bild scannen

ÜBERSICHT
scanimage [-d dev] [--format=Ausgabeformat] [-i Profil] [-L] [-f Geräteformat] [-b [Format]] [--batch-start=Start] [--batch-count=Anzahl] [--batch-increment=Erhöhung] [--batch-double] [--accept-md5-only] [-p] [-o Pfad] [-n] [-T] [-A] [-h] [-v] [-B Größe] [-V] [gerätespezifische-Optionen]

BESCHREIBUNG
scanimage ist eine Befehlszeilenschnittstelle zur Steuerung bildgebender Geräte wie Flachbettscanner oder Kameras. Das Gerät wird dabei über Befehlszeilenoptionen gesteuert. Nach dem Verarbeiten der Befehlszeile beginnt scanimage normalerweise mit der Bilderstellung. Die Bilddaten werden in einem der PNM-(portable aNyMaP)Formate (PBM für Schwarzweißbilder, PGM für Bilder in Graustufen und PPM für Farbbilder), dem TIFF-Format (Schwarzweiß, Graustufen oder Farbe), dem PNG-Format oder dem JPEG-Format (Kompressionsstufe 75) in die Standardausgabe geschrieben. scanimage greift auf bildgebende Geräte über die SANE-Schnittstelle (Scanner Access Now Easy) zu und kann daher jedes Gerät unterstützen, für das ein SANE-Backend existiert (mit apropos sane- erhalten Sie eine Liste der verfügbaren Backends).

BEISPIELE
Eine Liste der Geräte anzeigen lassen:
  scanimage -L Mit den Standardeinstellungen in die Datei Bild.pnm scannen:
  scanimage >bild.pnm Einen 100x100 mm großen Bereich scannen und in die Datei Bild.tiff schreiben (-x und -y könnten nicht bei allen Geräten verfügbar sein):
  scanimage -x 100 -y 100 --format=tiff >bild.tiff Alle verfügbaren Optionen ausgeben:
  scanimage -h

OPTIONEN
Es gibt zwei Arten von Optionen, die bei der Ausführung von scanimage verfügbar sind.

Die von scanimage selbst bereitgestellten Optionen sind nachfolgend aufgelistet. Zusätzlich hat jedes Backend seine eigenen Optionen, die Sie ebenfalls angeben können. Beachten Sie, dass die für das Backend verfügbaren Optionen vom ausgewählten Scan-Gerät abhängig sind.

Oft sind Optionen, die ähnliche Funktionen anbieten, in den Backends unterschiedlich implementiert. Ein Beispiel für einen solchen Unterschied sind die Optionen --mode Gray und --mode Grayscale. Dies könnte an unterschiedlichen Vorlieben der Backend-Autoren liegen. In anderen Fällen werden Optionen vom Scan-Gerät selbst definiert und können vom Backend-Code nicht beeinflusst werden.

Parameter werden durch ein Leerzeichen von einbuchstabigen Optionen (zum Beispiel -d epson) und durch »=« von mehrbuchstabigen Optionen (zum Beispiel --device-name=epson) getrennt.

-d Gerät, --device-name=Gerät
    gibt das Gerät an, auf das zugegriffen werden soll, wobei darauf ein SANE-Gerätename wie epson:/dev/sg0 oder hp:/dev/usbscanner0 folgen muss. Eine (unvollständige) Liste der verfügbaren Geräte erhalten Sie mit der Option --list-devices (siehe nachfolgend). Falls kein Gerätename angegeben ist, liest scanimage einen Gerätenamen aus der Umgebungsvariable SANE_DEFAULT_DEVICE. Ist diese Variable nicht gesetzt, versucht scanimage, das erste verfügbare Gerät zu öffnen.

--format=Ausgabeformat
    legt fest, in welchem Format die Bilddaten in die Standardausgabe oder die mit der Option -output-file angegebene Datei geschrieben werden sollen. Das Ausgabeformat kann pnm, tiff, png oder jpeg sein. Falls --format nicht angegeben ist, wird standardmäßig PNM verwendet.

-i Profil, --icc-profile=Profil
    wird dazu verwendet, ein ICC-Profil in eine TIFF-Datei einzubetten.

-L, --list-devices
    bewirkt, dass eine (partielle) Liste der verfügbaren Geräte ausgegeben wird. Diese Liste könnte unvollständig sein, da einige Geräte zwar verfügbar sein könnten, aber in keiner der Konfigurationsdateien ausgeführt sind (welche typischerweise im Verzeichnis /etc/sane.d gespeichert sind). Dies ist insbesondere der Fall, wenn der Zugriff auf Scanner über das Netzwerk erfolgt. Falls ein Gerät nicht in der Konfigurationsdatei aufgeführt ist, ist die Angabe des vollständigen Gerätenamens die einzige Zugriffsmöglichkeit. Kontaktieren Sie Ihren Systemadministrator, um die Namen solcher Geräte herauszufinden.

-f format, --formatted-device-list=Geräteformat
    funktioniert ähnlich wie --list-devices, erfordert aber eine Formatzeichenkette. scanimage ersetzt die Platzhalter %d %v %m %t %i %n durch den Gerätenamen, den Herstellernamen, den Modellnamen, den Scannertyp, eine Indexnummer beziehungsweise einen Zeilenumbruch. Der Befehl

    scanimage -f “ Scanner Nummer %i, Gerät %d ist ein %t, Model %m, hergestellt von %v ”

    erzeugt in etwa Folgendes:

        Scanner Nummer 0, Gerät sharp:/dev/sg1 ist ein Flachbebettscanner, Modell JX250 SCSI, hergestellt von SHARP

Die --batch*-Optionen stellen Funktionen zum Scannen von Dokumenten über automatische Dokumenteneinzüge bereit.

    -b [Format], --batch=[Format]
        gibt das Format des Dateinamens an, unter dem jede Seite gespeichert werden soll. Jede Seite wird in eine einzelne Datei geschrieben. Falls kein Format angegeben ist, wird out%d.pnm als Vorgabe verwendet (oder out%d.tif für --format tiff, out%d.png für --format png oder out%d.jpg für --format jpeg). Diese Option ist zu der Option --output-path inkompatibel. Das Format wird als Zeichenkette im Printf-Stil mit einem ganzzahligen Parameter angegeben.

    --batch-start=Nummer
        wählt die Seitennummer, mit der die Dateibenennung gestartet werden soll. Falls diese Option nicht angegeben ist, beginnt der Zähler bei 1.

    --batch-count=Anzahl
        gibt die Anzahl der Seiten an, die zu scannen versucht werden sollen. Falls dies nicht angegeben ist, wird das Scannen fortgesetzt, bis der Scanner nicht mehr den Status »OK« zurückgibt. Nicht alle Scanner, die mit einem automatischen Dokumenteneinzug ausgestattet sind, signalisieren, wenn dieser leer ist. Verwenden Sie diese Option, um dies zu umgehen.

    --batch-increment=Schrittweite
        gibt die Schrittweite an, um die die Zahl im Dateinamen erhöht werden soll. Im Allgemeinen wird dies verwendet, wenn Sie doppelseitige Dokumente in einem einseitig arbeitenden Dokumenteneinzug scannen. Für diesen Fall ist auch die spezifische Option --batch-double verfügbar.

    --batch-double
        setzt die Schrittweite automatisch auf 2. Dies ist gleichbedeutend mit --batch-increment=2.

    --batch-prompt
        erfordert das Drücken der Eingabetaste vor dem Scannen einer Seite. Hiermit können Sie mehrere Seiten scannen, wenn der Scanner nicht über einen automatischen Dokumenteneinzug verfügt.

--accept-md5-only
    akzeptiert nur Benutzer-Autorisierungsanfragen, die MD5-Sicherheit unterstützen. Der SANE-Netzwerkdaemon (saned(8)) kann solche Anfragen ausgeben.

-p, --progress
    bewirkt, dass scanimage eine Fortschrittsanzeige ausgibt. Es wird angezeigt, wie viele der Daten des aktuellen Bildes bereits empfangen wurden (in Prozent).

-o Pfad, --output-file=Pfad
    veranlasst scanimage, die Ausgabe des Scanvorgangs im angegebenen Pfad zu speichern. Diese Option ist zur Option --batch inkompatibel. Das Programm versucht, das Format (--format) aus dem Dateinamen zu ermitteln. Falls das nicht möglich ist, wird eine Fehlermeldung ausgegeben und das Programm beendet.

-n, --dont-scan
    bewirkt, dass scanimage nur die vom Benutzer angegebenen Optionen setzt, aber nicht tatsächlich einen Scanvorgang ausführt. Diese Option kann beispielsweise dazu verwendet werden, die Lampe des Scanners auszuschalten (sofern dies vom Backend unterstützt wird).

-T, --test
    bewirkt, dass scanimage einige Plausibilitätsprüfungen ausführt, um sicherzustellen, dass das Backend wie in der SANE-API definiert funktioniert (insbesondere wird in diesem Test die Funktion sane_read() überprüft).

-A, --all-options
    listet alle Optionen auf, die das Backend anbietet, einschließlich der Optionen für Geräteknöpfe. Die Informationen werden in die Standardausgabe geschrieben und es wird kein Scanvorgang ausgeführt.

-h, --help
    fordert Hilfeinformationen an. Die Informationen werden in die Standardausgabe geschrieben und kein Scanvorgang ausgeführt.

-v, --verbose
    erhöht die Ausführlichkeitsstufe der Ausgaben von scanimage. Diese Option kann mehrfach angegeben werden, wobei die Ausführlichkeitsstufe jedes Mal weiter erhöht wird.

-B [Größe], --buffer-size=Größe
    ändert die Größe des Eingabepuffers von den vorgegebenen 1 MB auf die angegebene Größe.

-V, --version
    bewirkt, dass scanimage den Namen des Programms und Pakets, die Versionsnummer der SANE-Veröffentlichung und die Version des Backends, das es lädt, ausgibt. Falls weitere Informationen zu den Versionsnummern der Backends nötig sind, kann die DEBUG-Variable für die dll-Ebene verwendet werden. Beispiel: SANE_DEBUG_DLL=3 scanimage -L.

Wie Sie sich vorstellen können, ergibt sich vieles der Leistungsfähigkeit von scanimage daraus, dass es jedes SANE-Backend steuern kann. Daher sind die jeweils verfügbaren Befehlszeilenoptionen von den Fähigkeiten des ausgewählten Geräts abhängig. Wenn Sie scanimage in der Befehlszeile in der folgenden Form aufrufen, werden die Optionen für das gewählte Gerät angezeigt:

    scanimage --help --device-name Gerät

Die mit der Option --help ausgegebenen gerätespezifischen Optionen lassen sich am besten anhand einiger Beispiele erklären: -l 0..218mm [0]
    Obere linke x-Position des Scanbereichs.

    Die vorstehende Beschreibung zeigt, dass die Option -l einen Optionswert von 0 bis einschließlich 218 mm erwartet. Der Wert in eckigen Klammern zeigt an, dass der aktuelle Optionswert 0 mm ist. Die meisten Backends stellen ähnliche Geometrieoptionen für die obere linke y-Position (-t), die Breite (-x) und die Höhe (-y) des Scanbereichs bereit.
--brightness -100..100% [0]
    Steuert die Helligkeit des gescannten Bildes.

    Die vorstehende Beschreibung zeigt, dass die Option --brightness einen Optionswert von -100 bis einschließlich 100 Prozent erwartet. Der Wert in eckigen Klammern zeigt an, dass der aktuelle Optionswert 0 Prozent ist.
--default-enhancements
    Legt Standardwerte für die Steuerung der Bildverbesserung fest.

    Die vorstehende Beschreibung zeigt, dass die Option --default-enhancements keinen Optionswert hat. Sie wirkt sich unmittelbar an der Stelle der Befehlszeile aus, an der sie sich befindet. Beispielsweise setzt diese Option die Option --brightness auf die Vorgabe zurück. Folglich ergibt das Optionspaar --brightness 50 --default-enhancements keinen Sinn.
--mode Lineart|Gray|Color [Gray]
    Wählt den Scanmodus (z.B. lineart oder color).

    Die vorstehende Beschreibung zeigt, dass die Option --mode ein Argument akzeptiert, das eine der Zeichenketten Lineart, Gray oder Color sein muss. Der Wert in eckigen Klammern gibt an, dass die Option gegenwärtig auf Gray gesetzt ist. Zwecks Bequemlichkeit ist es in Ordnung, die Zeichenketten abzukürzen, wobei sie aber eindeutig bleiben müssen. Weiterhin spielt die Groß- oder Kleinschreibung keine Rolle. Beispielsweise ist die Option --mode col identisch mit --mode Color.
--custom-gamma[=(yes|no)] [inaktiv]
    Gibt an, ob die eingebaute oder eine benutzerdefinierte Gammatabelle verwendet werden soll.

    Die vorstehende Beschreibung zeigt, dass die Option --custom-gamma entweder gar keinen Optionswert oder eine der Zeichenketten »yes« oder »no« erwartet. Die Angabe der Option ohne Wert entspricht der Angabe von »yes«. Der Wert in eckigen Klammern bedeutet, dass die Option gegenwärtig nicht aktiv ist. Das bedeutet, dass ein Versuch, die Option zu setzen, zu einer Fehlermeldung führt. Die verfügbaren Optionen sind typischerweise von anderen gesetzten Optionen abhängig. Beispielsweise könnte die Option --custom-gamma nur dann aktiv sein, wenn im Graustufen- oder Farbmodus gescannt wird. Beachten Sie, dass die Option --help erst verarbeitet wird, nachdem alle anderen Optionen verarbeitet wurden. Dadurch ist es möglich, die Optionseinstellungen für einen bestimmten Modus anzeigen zu lassen, indem Sie die entsprechenden Modus-Optionen zusammen mit der Option --help angeben. Zum Beispiel würde die Befehlszeile

    scanimage --help --mode Farbe

    die Optionseinstellungen ausgeben, die wirksam sind, wenn der Farbmodus ausgewählt ist.
--gamma-table 0 … 255, …
    gibt die Gammakorrekturtabelle an. Im Farbmodus beeinflusst diese Option die Rot-, Grün- und Blau-Kanäle gleichermaßen (was bedeutet, dass es eine Intensitäts-Gammakorrekturtabelle ist).

    Die vorstehende Beschreibung zeigt, dass die Option --gamma-table null oder mehrere Werte von 0 bis 255 erwartet. Ein zulässiger Wert für diese Option wäre beispielsweise »3,4,5,6,7,8,9,10,11,12«. Da die Angabe langer Vektoren in dieser Form etwas unhandlich ist, können Sie dies auch in der Kurzform »[0]3-[9]12« ausdrücken. Das bedeutet, dass das erste Vektorelement auf 3 und das neunte auf 12 gesetzt ist und die Zwischenwerte linear interpoliert werden. Natürlich ist es möglich, mehrere solcher linearen Segmente anzugeben. Beispielsweise ist »[0]3-[2]3-[6]7,[7]10-[9]6« gleichbedeutend mit »3,3,3,4,5,6,7,10,8,6«. Mit dem Programm gamma4scanimage können Sie solche Gammatabellen erzeugen (siehe gamma4scanimage(1) für Details).
--filename <Zeichenkette> [/tmp/Eingabe.ppm]
    Der Dateiname des zu ladenden Bildes.

    Die vorstehende Beschreibung ist ein Beispiel für eine Option, die einen beliebigen Zeichenkettenwert (hier einen Dateinamen) akzeptiert. Der Wert in Klammern zeigt wieder, dass die Option gegenwärtig auf den Dateinamen /tmp/Eingabe.ppm gesetzt ist.

UMGEBUNGSVARIABLEN

SANE_DEFAULT_DEVICE
    Der Standard-Gerätename.

DATEIEN

/etc/sane.d
    Dieses Verzeichnis enthält verschiedene Konfigurationsdateien. Details hierzu finden Sie in den nachfolgend aufgelisteten Handbuchseiten.

~/.sane/pass
    Diese Datei enthält Zeilen der Form

    Benutzer:Passwort:Ressource

    scanimage verwendet diese Information, um Autorisierungsanfragen von Benutzern automatisch zu beantworten. Die Datei muss die Zugriffsrechte 0600 oder strikter haben. Sie sollten diese Datei zusammen mit der Option --accept-md5-only verwenden, um serverseitige Angriffe zu verhindern. die Ressource kann beliebige Zeichen enthalten, aber nur bis zu 127 Zeichen insgesamt.

SIEHE AUCH
sane(7), gamma4scanimage(1), xscanimage(1), xcam(1), xsane(1), scanadf(1), sane-dll(5), sane-net(5), sane-"Backendname"(5)

AUTOR
David Mosberger, Andreas Beck, Gordon Matzigkeit, Caskey Dickson und viele andere. Für Fragen und Kommentare schreiben Sie an die »sane-devel«-Mailingliste (siehe http://www.sane-project.org/mailing-lists.html).

FEHLER
Bei Vektoroptionen gibt die Hilfeausgabe derzeit keinen Hinweis darauf, wie viele Elemente ein Vektorwert haben sollte.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.